/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */

#canvasContainer {
  overflow: auto;
  padding-top: 6px;
  padding-bottom: 6px;
  position: absolute;
  top: 32px;
  right: 0;
  bottom: 32px;
  left: 0;
  text-align: center;
  background-color: #888;
  background-image: url("/themes/portalfrontend/images/document-loader.gif");
}

html {
  position: relative;
}

body {
  color: #5a5a5a;
  background-color: #f0f8ff;
}

a:focus, a:hover {
  text-decoration: none;
}

.color-blue {
  color: #225a9c;
}

.color-black {
  color: #000000;
}

.color-white {
  color: #ffffff;
}

.color-skyblue {
  color: #a1d2ea;
}

.color-red {
  color: #d05d5d;
}

.color-green {
  color: #4CAF50;
}

.color-orange {
  color: #FF5722;
}

.color-brown {
  color: #795548;
}

.color-gray {
  color: #464646;
}

#page-body {
  min-height: 600px;
}

video {
  width: 100%;
  height: 100%;
}

.page-title {
  text-align: center;
  color: #225a9c;
}

.contact-block {
  padding: 20px;
  background-color: #ceeaf8;
  color: #225a9c;
  min-height: 200px;
}

.text-bold {
  font-weight: bold;
  color: #225a9c;
}

.align-center {
  text-align: center;
}


/* CUSTOMIZE THE NAVBAR
-------------------------------------------------- */

/* Special class on .container surrounding .navbar, used for positioning it into place. */
.navbar-wrapper {
  top: 0;
  right: 0;
  left: 0;
}

/* Flip around the padding for proper display in narrow viewports */
.navbar-wrapper > .container {
  padding-right: 0;
  padding-left: 0;
}
.navbar-wrapper .navbar {
  padding-right: 15px;
  padding-left: 15px;
}


/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
  height: 250px;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel .item {
  height: 250px;
}
.carousel-inner > .item > img {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  height: 250px;
}

#footer-carousel {
  /*height: 100%;*/
  margin-bottom: 0px;
  margin-top: 0px;
}

.footer-carousel-item {
  /*height: 100% !important;*/
  background-color: transparent;
}


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
  margin-bottom: 20px;
  text-align: center;
}
.marketing h2 {
  font-weight: normal;
}
.marketing .col-lg-4 p {
  margin-right: 10px;
  margin-left: 10px;
}


/* Featurettes
------------------------- */

.featurette-divider {
  margin: 80px 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
.featurette-heading {
  font-weight: 300;
  line-height: 1;
  letter-spacing: -1px;
}

/* Navbar (Primary)
-------------------------- */
#brand-title {
  word-wrap: break-word;
  width: auto;
  font-size: 24px;
  font-weight: bold;
}

.navbar-brand {
  display: flex;
  align-items: center;
  width: 70%;
  line-height: normal;
  margin-bottom: 10px;
}

.navbar-brand>img {
  height: 100px;
  width: 100px;
  margin-right: 15px;
}

#navbar-first > ul.navbar-nav {
  background-color: #18599C;
  border-radius: 30px;
}

#navbar-first > ul.navbar-nav>li>a {
  color: #ffffff !important;
}

#navbar-primary {
  margin-top: 10px;
  margin-bottom: 35px;
}

.navbar-primary-custom .navbar-toggle {
    border-color: #3174ae;
    background-color: #2e6da3;
}

.navbar-primary-custom .navbar-toggle .icon-bar {
    background-color: #f1f8ff;
}

#navbar-first > ul.navbar-nav>li>a:focus, #navbar-first > ul.navbar-nav>li>a:hover {
  background-color: #3171bd;
  border-radius: 30px;
}


/* Navbar (Secondary)
--------------------------------- */
.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1000;
    top: 0;
    right: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.sidenav a {
    padding: 8px 8px 8px 15px;
    text-decoration: none;
    font-size: 14px;
    color: #ffffff;
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: #f1f1f1;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

#secondary > ul {
  width: 100%;
}

#mySidenav > ul > li {
  padding: 10px;
}

#mySidenav > ul > li > a {
  background-color: #CEEAF8;
  font-size: 12px;
  color: #000000;
}

#secondary > ul > li {
  width: 33.33%;
  text-align: center;
  background-color: #CEEAF8;
  font-size: 12px;
  padding: 3px;
  height: 50px;
}

#secondary > ul > li > a {
  padding: 3px;
  height: 44px;
  line-height:normal;
}

#secondary-first-item {
  border-right: 2px solid #225a9c;
}

#secondary-second-item {
  border-right: 2px solid #225a9c;
}

#secondary-third-item {
  font-size: 12px;
}

#navbar-second {
  padding-left: 0px;
  padding-right: 0px;
}

#search-sidebar {
  padding: 10px;
}

.custom-right-sidebar {
  margin-bottom: 4px;
  word-wrap: break-word;
  white-space: normal;
  margin-right: 10px;
  margin-left: 10px;
  color: #ffffff;
}


/* Search form 
-------------------------------------------------- */
.general-search-form {
  width: 100%;
  margin: 0px;
  padding: 0px;
  height: 50px;
}

.general-search-form-group {
  width: 100%;
  height: 50px;
}

.general-search-form-input {
  width: 100%;
  height: 50px;
  background-color: #f2f2f2;
}

/* Footer 
-------------------------------------------------- */
/* Sticky footer styles
-------------------------------------------------- */
.footer {
  bottom: 0;
  height: auto;
  background-color: #1A4C86;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-top: 40px;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #225a9c;
  background-color: #225a9c;
  margin: 1em 0;
  padding: 0; 
}

.g-container {
  text-align: center;
}

.g-image {
  width: 100px;
  height: 100px;
}

.g-text {
  text-align: center;
  color: #225a9c;
  font-size: 16px;
  font-weight: bold;
}

.home-icon {
  border: 1px solid #88c4eb;
  background-color: #ffffff;
  border-radius: 6px;
  margin: 15px;
  padding: 15px;
  min-height: 120px;
  vertical-align: middle;
  text-align: center;
}

.home-icon-img {
  width: 75px;
}

.home-icon-text {
  font-size: 18px;
  font-weight: bold;
  display: inline-block;
  word-wrap: break-word;
  color: #225a9c;
  width: 60%;
  height: 100%;
  vertical-align: middle;
}

.home-icon-p-img {
  display: inline;
  width: 40%;
}

.footer-block {
  padding: 20px;
  color: #ffffff;
}

#footer-block-1 {
  border-right: 2px solid #ffffff;
  /*height: 100%;*/
}

#footer-block-2 {
  border-right: 2px solid #ffffff;
  /*height: 100%;*/
}

.padding-40 {
  padding-top: 40px;
  padding-bottom: 40px;
}

.padding-right-20 {
  padding-right: 20px;
}

.no-padding {
  padding:0;
}

.no-border {
  border:0;
}

.no-padd-sides {
  padding-right: 0;
  padding-left: 0;
}

.no-padd-right {
  padding-right: 0;
}

.no-padd-left {
  padding-left: 0;
}

.bs-callout {
  padding: 20px;
  margin: 20px 0;
  border: 1px solid #eee;
  border-left-width: 5px;
  border-radius: 3px;
}

.bs-callout-info {
  border-left-color: #1b809e;
}

.bs-callout-warning {
  border-left-color: #f0ad4e;
}

.tab-content {
  background-color: #fdfdfd;
  padding: 20px;
  border-radius: 6px;
}

.bootstrap-timepicker {
  margin-left: 15px;
}

.radio {
  padding-left: 15px;
}

.modal-reader-dialog {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

.modal-reader-content {
  height: auto;
  min-height: 100%;
  border-radius: 0;
}

.loading-text {
  position: absolute;
  top: 55%;
  left: 43%;
  margin-left: -15px;
  margin-top: -15px;
  color: #000;
  font-size: 25px;
}

.reader-box {
  background-image: url("/themes/portalfrontend/images/document-loader.gif");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-size: 25%;
}

.width-full {
  width: 100%;
}

.float-right {
  float: right;
}

.float-left {
  float: left;
}

button.width-full:focus {
  outline: none;
}

button.width-full:active {
  outline: none;
}

.btn-box-tool.btn:active {
  outline: none;
}

.btn-box-tool.btn:visited {
  outline: none;
}

.btn-box-tool.btn:focus {
  outline: none;
}

.display-inline {
  display: inline-block;
}

#have_representant, 
#checkbox_is_foreign,
#doc_student, 
#country_foreign_passport {
  display: none;
}

.custom-input-text-search {
    vertical-align: middle;
    display: inline-block;
    height: 34px;
    padding: 6px 12px;
}

input[type=file] {
  width: 100%;
}

#navbar-first > .nav .open>a, #navbar-first > .nav .open>a:focus, #navbar-first > .nav .open>a:hover {
  background-color: #3171bd;
  border-color: #3171bd;
  border-radius: 30px;
}

#navbar-first > ul > li > ul.dropdown-menu>.active>a {
  background-color: #999;
  background-image: -webkit-linear-gradient(top,#999 0,#999 100%);
  background-image: -o-linear-gradient(top,#999 0,#999 100%);
  background-image: -webkit-gradient(linear,left top,left bottom,from(#999),to(#999));
  background-image: linear-gradient(to bottom,#ccc 0,#999 100%);
}

#navbar-first > ul > li > ul.dropdown-menu {
  background-color: #3171bd;
}

#navbar-first > ul > li > ul.dropdown-menu>li>a {
    color: #f5f5f5;
}

#navbar-first > ul > li > ul.dropdown-menu>li>a:hover {
    color: #252525;
}

/* WIDGETS 
------------------------------------ */

#site-counter-widget {
  margin-bottom: 10px;
}

.site-counter-widget-p {
  font-size: 14px;
}

#reader-iframe {
  height: 760px;    
}

.status-date {
  font-size: 12px;
}

.pull-to-right {
  float: right;
}

.border-box {
  box-sizing: border-box;
}

.post-title-container {
  min-height: 78px;
  max-height: 78px;
}

.btn-primary:hover, .btn-primary:active, .btn-primary.hover {
  background-color: #265a88;
}

/* RESPONSIVE CSS
-------------------------------------------------- */
@media only screen and (max-width: 768px) {

  #navbar-primary {
    margin-top: 50px;
  }

  #brand-title {
    font-size: 18px;
  }

  .navbar-brand {
    padding: 0px;
    width: 85%;
    margin-bottom: 20px;
  }

   /* Navbar Secondary */
  #navbar-secondary {
    display: none;
  }

  #navbar-secondary-mobile {
    display: inline-block;
  }

  ul.navbar-nav {
    border-radius: 6px;
  }

  /* Carousel */
  .carousel {
    height: 200px;
  }

  .carousel .item {
    height: 200px;
  }

  .carousel-inner > .item > img {
    height: 200px;
  }

  #reader-iframe {
    height: 500px;
  }

}

@media (min-width: 992px) {
  .featurette-heading {
    margin-top: 120px;
  }
}

@media only screen and (min-width: 768px) {
  /* Navbar Primary */
  .navbar-default {
    background-color: none;
  }

  .navbar-primary-custom .navbar-toggle {
    border-color: #ddd;
  }

  .navbar-primary-custom .navbar-toggle .icon-bar {
    background-color: #888;
  }

  /* Navbar Secondary */
  #navbar-secondary {
    display: block;
  }

  #navbar-secondary-mobile {
    display: none;
  }


  /* Navbar positioning foo */
  .navbar-wrapper {
    margin-top: 20px;
  }
  .navbar-wrapper .container {
    padding-right: 15px;
    padding-left: 15px;
  }

  #nav-padd-sides {
    padding-right: 0px;
    padding-left: 0px;
  }

  .navbar-wrapper .navbar {
    padding-right: 0;
    padding-left: 0;
  }

  /* The navbar becomes detached from the top, so we round the corners */
  .navbar-wrapper .navbar {
    border-radius: 4px;
  }

  /* Bump up size of carousel content */
  .carousel-caption p {
    margin-bottom: 20px;
    font-size: 21px;
    line-height: 1.4;
  }

  .featurette-heading {
    font-size: 50px;
  }
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}

}

@media screen and (max-width: 425px) {
  #site-counter-widget {
    margin-right: 15px;
  }

  .pull-to-right {
    float: none;
  }
}

@media screen and (max-width: 376px) {
  .navbar-brand {
    width: 80%;
  }
}

@media screen and (max-width: 321px) {
  .navbar-brand {
    width: 80%;
  }

  .navbar-brand>img {
    height: 65px;
    width: 65px;
    margin-right: 10px;
  }

  #brand-title {
    font-size: 14px;
  }

  #reader-iframe {
    height: 390px;
  }
}